## octave-audio 1.1.3

=== DESCRIPTION ===
Name: Audio
Version: 1.1.3
Date: 2009-05-03
Author: Paul Kienzle
Maintainer: Paul Kienzle
Title: Audio
Description: Audio recording, processing and playing tools.
Depends: octave (>= 2.9.7)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net
