## octave-audio 1.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Name: Audio
-Version: 1.1.3
+Version: 1.1.4
 Date: 2009-05-03
 Author: Paul Kienzle
 Maintainer: Paul Kienzle
