=== debian/changelog ===
octave-audio (1.1.4-6) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * d/copyright: Use unique license names
  * Remove .m files that are now in Octave 4.0.0

  [ Sébastien Villemot ]
  * Bump B-D on octave-pkg-dev to >= 1.3.0, to ensure Octave 4.0 is used.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 18 Jul 2015 23:21:40 +0200

octave-audio (1.1.4-5) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * debian/watch: Use the SourceForge redirector
  * Remove obsolete DM-Upload-Allowed flag
  * debian/copyright: Use the octave-maintainers mailing list as upstream
    contact
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Sébastien Villemot ]
  * Uploaders: remove Thomas Weber and myself, add Rafael Laboissiere.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * d/copyright: ensure that all files are covered by copyright information.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 18 Sep 2014 17:02:12 +0200

octave-audio (1.1.4-4) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.1.4
  * debian/clean, README.source: Remove these obsolete files
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.1, to build against Octave 3.6
  * Add Sébastien Villemot to the list of Uploaders
  * Bump to Standards-Version 3.9.3, no changes needed
  * debian/copyright: update to machine-readable format 1.0

 -- Thomas Weber <tweber@debian.org>  Tue, 20 Mar 2012 08:01:08 +0100

octave-audio (1.1.4-3) unstable; urgency=low

  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (closes: #571893)
    - Remove Ólafur Jens Sigurðsson from Uploaders 
  * Bump Standards-Version to 3.9.1, no changes needed
  * Recommend sox, in order to have /usr/bin/play for actually playing sound.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Weber <tweber@debian.org>  Mon, 14 Feb 2011 10:27:24 +0100

octave-audio (1.1.4-2) unstable; urgency=low

  * Upload to unstable. 
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.1, for the changed
    behaviour in doc handling.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 09 Nov 2009 22:38:33 +0100

octave-audio (1.1.4-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release
  * Bump Standards-Version to 3.8.2, no changes needed
  * debian/patches/no-writable-string.diff: removed, applied upstream. 
  * No more Debian patches: drop quilt from build-dependencies and
    debian/rules
  * Don't install aurecord.1 anymore, the binary isn't built anymore by
    upstream

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 11 Jul 2009 18:06:47 +0200

octave-audio (1.1.3-1) unstable; urgency=low

  * New upstream release
  * debian/patches/no-writable-string.diff: Add patch to avoid warning
    "deprecated conversion from string constant to 'char *'"
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
    + (Build-Depends): Add quilt
  * debian/rules: Include patchsys-quilt.mk
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package
  * debian/README.source: Add file explaining the quilt patch system, as
    required by the Policy

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 10:50:39 +0200

octave-audio (1.1.2-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 11 Apr 2009 19:45:54 +0200

octave-audio (1.1.2-1) experimental; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream release

  [ Rafael Laboissiere]
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

  [ Thomas Weber ]
  * Upload to experimental
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 02 Dec 2008 08:14:54 +0100

octave-audio (1.1.1-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream release

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 10 May 2008 15:05:14 +0200

octave-audio (1.1.0-1) unstable; urgency=low

  * Initial release (closes: #468495)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Mon, 3 Mar 2008 13:35:59 +0100
