=== debian/control ===
Source: octave-audio
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.3.0)
Standards-Version: 3.9.6
Homepage: http://octave.sourceforge.net/audio
Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-audio.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-audio.git

Package: octave-audio
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Recommends: sox
Description: functions to work with audio files in Octave
 This package provides functions to work with audio files in Octave, a
 numerical computation software. It contains functions for capturing
 sound from a soundcard (aucapture), reading sound files (auload), and
 plotting waveworm data of sound (auplot), among others.
 .
 This Octave add-on package is part of the Octave-Forge project.
