=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

install/octave-audio::
	# Remove .m files that are now in Octave 4.0.0
	# https://savannah.gnu.org/bugs/?func=detailitem&item_id=38395
	@echo "************************************************************************"
	@echo "Warning: check whether this fix is still needed:"
	find debian/octave-audio \( -name sound.m -o -name soundsc.m \) -exec rm \{} \;
	@echo "************************************************************************"
