## octave-audio 2.0.2

=== DESCRIPTION ===
Name: audio
Version: 2.0.2
Date: 2020-10-13
Author: John Donoghue <john.donoghue@ieee.org>
Maintainer: John Donoghue <john.donoghue@ieee.org>
Title: Audio Toolbox
Description: Audio and MIDI Toolbox for GNU Octave
Categories: Midi, Audio
Depends: octave (>= 4.0.0)
SystemRequirements: rtmidi
Autoload: no
License: GPLv3+
Url: http://octave.sourceforge.net
