=== debian/changelog ===
octave-audio (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2

 -- Rafael Laboissière <rafael@debian.org>  Thu, 15 Oct 2020 08:47:05 -0300
