=== debian/control ===
Source: octave-audio
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-octave (>= 0.7.6),
               librtmidi-dev
Standards-Version: 4.5.0
Homepage: https://octave.sourceforge.io/audio/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-audio.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-audio
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-audio
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: MIDI functions for Octave
 This package provides MIDI functionality for Octave, a numerical
 computation software.  Three types of functions are provided: (1)
 functions that directly allow opening, sending and receiving MIDI
 messages, (2) functions that provide a layer on top of the device
 functions for using MIDI controls, and (3) basic functions that allow
 read and write of MIDI files.
 .
 This Octave add-on package is part of the Octave-Forge project.
