## octave-audio 2.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: audio
-Version: 2.0.2
-Date: 2020-10-13
+Version: 2.0.4
+Date: 2021-12-05
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: Audio Toolbox
