=== debian/changelog ===
octave-audio (2.0.4-1build1) jammy; urgency=medium

  * No-change rebuild against octave 6.4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 09:24:21 +0000

octave-audio (2.0.4-1) unstable; urgency=medium

  * New upstream version 2.0.4

 -- Rafael Laboissière <rafael@debian.org>  Wed, 08 Dec 2021 10:03:45 -0300

octave-audio (2.0.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Mon, 01 Nov 2021 16:27:03 -0300

octave-audio (2.0.3-1) experimental; urgency=medium

  * New upstream version 2.0.3
  * Released to experimental in waiting for the library transitions
    petsc and hypre
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * d/u/metadata:
    + Remove obsolete fields Contact and Name (already present in
      machine-readable d/copyright)
    + Set upstream metadata field Archive
  * d/copyright:
    + Reflect upstream changes
    + Set fields Upstream-Name and Upstream-Contact

 -- Rafael Laboissière <rafael@debian.org>  Tue, 26 Oct 2021 01:11:58 -0300
