=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.6),
                librtmidi-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://octave.sourceforge.io/audio/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-audio.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-audio
