## octave-audio 2.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: audio
-Version: 2.0.4
-Date: 2021-12-05
+Version: 2.0.5
+Date: 2022-07-20
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: Audio Toolbox
