=== debian/changelog ===
octave-audio (2.0.5-2) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 07:39:34 -0300

octave-audio (2.0.5-1) unstable; urgency=medium

  * New upstream version 2.0.5
  * d/p/remove_oct-alt-includes.h.patch: Drop patch (applied upstream)
  * d/p/midi-device-devinfo-xtest.patch: Refresh for new upstream version
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Fri, 22 Jul 2022 09:01:43 -0300

octave-audio (2.0.4-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/autoreconf: New file
  * Proper cleaning of files automatically generated by the configure script
    + d/clean: Drop obsolete file
    + d/control: Build-depend on dh-octave >= 1.2.3. In this version,
      dh_octave_clean removes the files generated by the configure
      script
    + d/p/remove_oct-alt-includes.h.patch: New patch (clean leftover
      file oct-alt-includes.h)
  * d/copyright: Update copyright year of debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Sat, 09 Jul 2022 11:04:36 -0300
