=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.6),
+               dh-octave (>= 1.2.3),
+               dh-sequence-octave,
                librtmidi-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://octave.sourceforge.io/audio/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-audio.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-audio
