## octave-audio 2.0.7

=== DESCRIPTION ===
Name: audio
Version: 2.0.7
Date: 2023-07-26
Author: John Donoghue <john.donoghue@ieee.org>
Maintainer: John Donoghue <john.donoghue@ieee.org>
Title: Audio Toolbox
Description: Audio and MIDI Toolbox for GNU Octave
Categories: Midi, Audio
Depends: octave (>= 4.0.0)
SystemRequirements: rtmidi
Autoload: no
License: GPLv3+
Url: https://gnu-octave.github.io/octave-audio/
Repository: https://github.com/gnu-octave/octave-audio/
