=== debian/changelog ===
octave-audio (2.0.7-2) unstable; urgency=medium

  * New upstream version 2.0.7
  * Build and install the upstream documentation

 -- Rafael Laboissière <rafael@debian.org>  Thu, 27 Jul 2023 08:12:15 -0300

octave-audio (2.0.6-1) unstable; urgency=medium

  * New upstream version 2.0.6
  * d/copyright: Reflect upstream changes
  * d/control:
    + Update Homepage URL
    + Bump Standards-Version to 4.6.2 (no changes needed)
  * Use tarball URL from GitHub
    + d/watch: Ditto
    + d/s/lintian-overrides: Drop obsolete override

 -- Rafael Laboissière <rafael@debian.org>  Fri, 21 Jul 2023 11:14:36 -0300
