=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 1.2.3),
                dh-sequence-octave,
-               librtmidi-dev
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/audio/
+               librtmidi-dev,
+               texlive
+Standards-Version: 4.6.2
+Homepage: https://gnu-octave.github.io/packages/audio/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-audio.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-audio
 Testsuite: autopkgtest-pkg-octave
