=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
TEXIFILE = audio.texi

execute_before_dh_auto_build:
	( cd doc ;					\
	  makeinfo --no-split $(TEXIFILE) ;		\
	  makeinfo --html --no-split  $(TEXIFILE) ;	\
	  texi2pdf $(TEXIFILE) || true )
endif
