## octave-audio 2.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: audio
-Version: 2.0.7
-Date: 2023-07-26
+Version: 2.0.8
+Date: 2023-10-02
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: Audio Toolbox
