=== Makefile ===
--- 
+++ 
@@ -41,6 +41,7 @@
 package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
 $(TR) '[:upper:]' '[:lower:]')
 version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")
+pkg_date := $(shell $(GREP) "^Date: " DESCRIPTION | $(CUT) -f2 -d" ")
 
 ## These are the paths that will be created for the releases.
 target_dir       := target
@@ -68,22 +69,22 @@
 ## Command used to set permissions before creating tarballs
 FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s
 
-HG           := hg
-HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
-HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
-HG_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))
-
-
 ## Detect which VCS is used
 vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
 ifeq ($(vcs),hg)
 release_dir_dep := .hg/dirstate
+HG           := hg
+HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
+HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
+REPO_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))
 endif
 ifeq ($(vcs),git)
 release_dir_dep := .git/index
-endif
-
-TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(HG_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
+GIT          := git
+REPO_TIMESTAMP := $(firstword $(shell $(GIT) log -n1 --date=unix --format="%ad"))
+endif
+
+TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(REPO_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
 TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)
 
 ## .PHONY indicates targets that are not filenames
@@ -179,25 +180,33 @@
 	$(RM) -f doc/$(package).qch
 	$(RM) -f doc/$(package).info
 	$(RM) -f doc/$(package).pdf
+	$(RM) -f doc/version.texi
 	$(RM) -f doc/functions.texi
 
-doc/$(package).pdf: doc/$(package).texi doc/functions.texi
-	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(TEXI2PDF) $(package).texi
+doc/version.texi: $(release_dir_dep)
+	@echo Generating $@
+	@echo "@c autogenerated from Makefile" > $@
+	@echo "@set VERSION $(version)" >> $@
+	@echo "@set PACKAGE $(package)" >> $@
+	@echo "@set DATE $(pkg_date)" >> $@
+
+doc/$(package).pdf: doc/$(package).texi doc/functions.texi doc/version.texi
+	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(TEXI2PDF) $(package).texi
 	# remove temp files
 	cd doc && $(RM) -f $(package).aux  $(package).cp  $(package).cps  $(package).fn  $(package).fns  $(package).log  $(package).toc
 
-doc/$(package).html: doc/$(package).texi doc/functions.texi
-	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
+doc/$(package).html: doc/$(package).texi doc/functions.texi doc/version.texi
+	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
 
 doc/$(package).qhc: doc/$(package).html
 	# try also create qch file if can
 	cd doc && ./mkqhcp.py $(package) && $(QHELPGENERATOR) $(package).qhcp -o $(package).qhc
 	cd doc && $(RM) -f $(package).qhcp $(package).qhp
 
-doc/$(package).info: doc/$(package).texi doc/functions.texi
+doc/$(package).info: doc/$(package).texi doc/functions.texi doc/version.texi
 	cd doc && $(MAKEINFO) $(package).texi
 
-doc/functions.texi:
+doc/functions.texi: $(release_dir_dep)
 	cd doc && ./mkfuncdocs.py --src-dir=../inst/ ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi
 
 
@@ -315,6 +324,3 @@
 	@echo "Extracting tests from $< ..."
 	@$(RM) -f "$@" "$@-t"
 	@(      echo "## Generated from $<"; \
-		$(GREP) '^%!' "$<") > "$@"
-
-tests: $(TST_SOURCES)
