=== debian/changelog ===
octave-audio (2.0.8-2) unstable; urgency=medium

  * d/rules: Build documentation using upstream Makefile (Closes: #1060958)
    + d/p/add-mkfuncdocs-py.patch: New patch
    + d/rules:
      - Make doc/mkfuncdocs.py executable
      - Invoke make to build the Info, HTML and PDF forms of the
        documentation
    + d/control: Build-depend on python3
    + d/octave-audio.doc-base: Add stanza for documentation in Info format
    + d/octave-audio.info: New file
    + d/clean: Drop file

 -- Rafael Laboissière <rafael@debian.org>  Thu, 18 Jan 2024 04:48:11 -0300

octave-audio (2.0.8-1) unstable; urgency=medium

  * New upstream version 2.0.8

 -- Rafael Laboissière <rafael@debian.org>  Wed, 04 Oct 2023 20:46:51 -0300
