=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                dh-octave (>= 1.2.3),
                dh-sequence-octave,
                librtmidi-dev,
+	       python3,
                texlive
 Standards-Version: 4.6.2
 Homepage: https://gnu-octave.github.io/packages/audio/
