=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_before_dh_auto_build:
	chmod +x doc/mkfuncdocs.py
	make doc/audio.info doc/audio.html doc/audio.pdf
endif
