=== Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 TR ?= tr
 TEXI2PDF  ?= texi2pdf -q
 MAKEINFO  ?= makeinfo
+MAKEINFO_HTML_OPTIONS := --no-headers --set-customization-variable 'COPIABLE_LINKS 0' --set-customization-variable 'COPIABLE_ANCHORS 0' --no-split 
 
 # work out a possible help generator
 ifeq ($(strip $(QHELPGENERATOR)),)
@@ -42,6 +43,7 @@
 $(TR) '[:upper:]' '[:lower:]')
 version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")
 pkg_date := $(shell $(GREP) "^Date: " DESCRIPTION | $(CUT) -f2 -d" ")
+pkg_year := $(shell $(GREP) "^Date: " DESCRIPTION | $(CUT) -f2 -d" " | $(CUT) -f1 -d"-")
 
 ## These are the paths that will be created for the releases.
 target_dir       := target
@@ -167,7 +169,8 @@
 	$(MAKE) -C "$@" docs
 #	cd "$@" && $(MAKE) tests
 	# remove dev stuff
-	cd "$@" && $(RM) -rf "devel" && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
+	cd "$@" && $(RM) -rf "devel" 
+	# && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
 	${FIX_PERMISSIONS} "$@"
 
 .PHONY: docs
@@ -189,6 +192,7 @@
 	@echo "@set VERSION $(version)" >> $@
 	@echo "@set PACKAGE $(package)" >> $@
 	@echo "@set DATE $(pkg_date)" >> $@
+	@echo "@set YEAR $(pkg_year)" >> $@
 
 doc/$(package).pdf: doc/$(package).texi doc/functions.texi doc/version.texi
 	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(TEXI2PDF) $(package).texi
@@ -196,12 +200,16 @@
 	cd doc && $(RM) -f $(package).aux  $(package).cp  $(package).cps  $(package).fn  $(package).fns  $(package).log  $(package).toc
 
 doc/$(package).html: doc/$(package).texi doc/functions.texi doc/version.texi
-	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
+	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css $(MAKEINFO_HTML_OPTIONS) $(package).texi
 
 doc/$(package).qhc: doc/$(package).html
+ifeq ($(QHELPGENERATOR),true)
+	$(warning No QHELPGENERATOR ... skipping QT doc build)
+else
 	# try also create qch file if can
 	cd doc && ./mkqhcp.py $(package) && $(QHELPGENERATOR) $(package).qhcp -o $(package).qhc
 	cd doc && $(RM) -f $(package).qhcp $(package).qhp
+endif
 
 doc/$(package).info: doc/$(package).texi doc/functions.texi doc/version.texi
 	cd doc && $(MAKEINFO) $(package).texi
@@ -308,19 +316,3 @@
 	test -e fntests.log && rm -f fntests.log || true
 	@echo "## Removing target directory (if empty)..."
 	test -e $(target_dir) && rmdir $(target_dir) || true
-	@echo
-	@echo "## Cleaning done"
-	@echo
-
-.PHONY: tests
-	
-CC_TST_SOURCES := $(shell $(GREP) --files-with-matches '^%!' src/*.cc)
-TST_SOURCES := $(patsubst src/%.cc,inst/test/%.cc-tst,$(CC_TST_SOURCES))
-
-inst/test:
-	@mkdir -p "$@"
-
-$(TST_SOURCES): inst/test/%.cc-tst: src/%.cc | inst/test
-	@echo "Extracting tests from $< ..."
-	@$(RM) -f "$@" "$@-t"
-	@(      echo "## Generated from $<"; \
