=== debian/changelog ===
octave-audio (2.0.9-3) unstable; urgency=medium

  * d/control: Add texlive-base to Build-Depends

 -- Rafael Laboissière <rafael@debian.org>  Sun, 12 Oct 2025 04:19:40 -0300

octave-audio (2.0.9-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop versioned dependency on dh-octave. Relationship >= 0.7.1 is
      satisfiable in oldoldstable, which has version 1.2.7.
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Build-depend on texlive-binaries intead of the broader package
      texlive
  * d/watch: Convert to format version 5

 -- Rafael Laboissière <rafael@debian.org>  Fri, 10 Oct 2025 06:37:18 -0300

octave-audio (2.0.9-1) unstable; urgency=medium

  * New upstream version 2.0.9
  * d/p/add-mkfuncdocs-py.patch: Drop patch (applied upstream)
  * d/copyright: Add stanza for octave-audio.metainfo.xml
  * d/rules: Use "make docs" for building the documentation
  * d/u/metadata:
    + Update upstream repository URLs
    + Update Bug-Database and Bug-Submit URLs
  * d/control:
    + Bump Standards-Version to 4.7.0 (no changes needed)
    + Resctrict build-dependencies needed for building the
      documentation to the "!nodoc" profile

 -- Rafael Laboissière <rafael@debian.org>  Wed, 02 Oct 2024 11:29:20 -0300
