=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 1.2.3),
                dh-sequence-octave,
                librtmidi-dev,
-	       python3,
-               texlive
-Standards-Version: 4.6.2
+               python3 <!nodoc>,
+               texlive-base <!nodoc>,
+               texlive-binaries <!nodoc>
+Standards-Version: 4.7.2
 Homepage: https://gnu-octave.github.io/packages/audio/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-audio.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-audio
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-audio
 Architecture: any
