=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ## Copyright 2015-2016 Oliver Heimlich
 ## Copyright 2017 Julien Bect <jbect@users.sf.net>
 ## Copyright 2017 Olaf Till <i7tiol@t-online.de>
-## Copyright 2019-2022 John Donoghue <john.donoghue@ieee.org>
+## Copyright 2019-2026 John Donoghue <john.donoghue@ieee.org>
 ##
 ## Copying and distribution of this file, with or without modification,
 ## are permitted in any medium without royalty provided the copyright
@@ -19,7 +19,8 @@
 TR ?= tr
 TEXI2PDF  ?= texi2pdf -q
 MAKEINFO  ?= makeinfo
-MAKEINFO_HTML_OPTIONS := --no-headers --set-customization-variable 'COPIABLE_LINKS 0' --set-customization-variable 'COPIABLE_ANCHORS 0' --no-split 
+MAKEINFO_HTML_OPTIONS := --no-headers --no-split 
+MAKEINFO_HTML_FILTER :=  $(SED) 's|<span class="category[^"]*">: </span>||g' | $(SED) 's|<a[^>]*class=.copiable[^>]*> &para;</a>||g' | $(SED) 's|<span>\([^<]*\)</span>|\1|g'
 
 # work out a possible help generator
 ifeq ($(strip $(QHELPGENERATOR)),)
@@ -200,7 +201,7 @@
 	cd doc && $(RM) -f $(package).aux  $(package).cp  $(package).cps  $(package).fn  $(package).fns  $(package).log  $(package).toc
 
 doc/$(package).html: doc/$(package).texi doc/functions.texi doc/version.texi
-	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css $(MAKEINFO_HTML_OPTIONS) $(package).texi
+	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(MAKEINFO) --html --css-ref=octave.css $(MAKEINFO_HTML_OPTIONS) $(package).texi -o - | $(MAKEINFO_HTML_FILTER) > $(package).html
 
 doc/$(package).qhc: doc/$(package).html
 ifeq ($(QHELPGENERATOR),true)
@@ -313,6 +314,3 @@
 
 clean: clean-tarballs clean-unpacked-release clean-install clean-docs
 	test -e inst/test && rmdir inst/test || true
-	test -e fntests.log && rm -f fntests.log || true
-	@echo "## Removing target directory (if empty)..."
-	test -e $(target_dir) && rmdir $(target_dir) || true
