=== debian/changelog ===
octave-audio (2.0.10-1) unstable; urgency=medium

  * New upstream version 2.0.10
  * d/copyright: Reflect upstream changes
  * d/control:
    + Drop useless build-dependency on texlive-binaries
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3
  * d/u/metadata: Add Changelog and Documentation fields
  * d/salsa-ci.yml: New file

 -- Rafael Laboissière <rafael@debian.org>  Mon, 26 Jan 2026 13:01:16 +0000
