=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: octave-audio
 Section: math
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-octave,
                librtmidi-dev,
                python3 <!nodoc>,
-               texlive-base <!nodoc>,
-               texlive-binaries <!nodoc>
-Standards-Version: 4.7.2
+               texlive-base <!nodoc>
+Standards-Version: 4.7.3
 Homepage: https://gnu-octave.github.io/packages/audio/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-audio.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-audio
